summarylogtreecommitdiffstats
path: root/mpc-qt.sh
diff options
context:
space:
mode:
Diffstat (limited to 'mpc-qt.sh')
-rw-r--r--mpc-qt.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/mpc-qt.sh b/mpc-qt.sh
new file mode 100644
index 000000000000..9556e07f9b79
--- /dev/null
+++ b/mpc-qt.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+_APPDIR="/opt/@appname@"
+_RUNNAME="${_APPDIR}/bin/@runname@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export QT_PLUGIN_PATH="${_APPDIR}/plugins:${QT_PLUGIN_PATH}"
+export QML_IMPORT_PATH="${_APPDIR}/qml:${QML_IMPORT_PATH}"
+export QML2_IMPORT_PATH="${_APPDIR}/qml:${QML2_IMPORT_PATH}"
+case "${XDG_CURRENT_DESKTOP}" in
+ *GNOME*|*gnome*|*XFCE*)
+ export QT_QPA_PLATFORMTHEME=gtk2
+ ;;
+esac
+cd "${_APPDIR}"
+exec "${_RUNNAME}" "$@" || exit $? \ No newline at end of file